Bug 1477942 - Missing new layer boot entry sometimes when upgrade to rhvh-4.1-20170802
Missing new layer boot entry sometimes when upgrade to rhvh-4.1-20170802
Status: CLOSED CURRENTRELEASE
Product: ovirt-node
Classification: oVirt
Component: Installation & Update (Show other bugs)
4.1
Unspecified Unspecified
urgent Severity urgent (vote)
: ovirt-4.1.4-1
: 4.1
Assigned To: Ryan Barry
jianwu
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 05:41 EDT by jianwu
Modified: 2017-08-23 04:00 EDT (History)
14 users (show)

See Also:
Fixed In Version: imgbased-0.9.41-0.1.el7ev
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:00:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1?
rule-engine: blocker+
sbonazzo: planning_ack?
sbonazzo: devel_ack+
cshao: testing_ack+


Attachments (Terms of Use)
log for upgrade error (8.56 MB, application/x-gzip)
2017-08-03 05:41 EDT, jianwu
no flags Details
imgbased.log (389.50 KB, text/plain)
2017-08-03 06:22 EDT, Ying Cui
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80176 master MERGED osupdater: use setfiles root redirection 2017-08-04 12:12 EDT
oVirt gerrit 80202 ovirt-4.1 MERGED osupdater: use setfiles root redirection 2017-08-04 12:12 EDT
oVirt gerrit 80240 master MERGED Move osupdater SElinux scripts to a firstboot service 2017-08-07 12:46 EDT
oVirt gerrit 80241 ovirt-4.1 MERGED Move osupdater SElinux scripts to a firstboot service 2017-08-07 12:46 EDT

  None (edit)
Description jianwu 2017-08-03 05:41:29 EDT
Created attachment 1308672 [details]
log for upgrade error

Description of problem:
Missing new layer boot entry sometimes when upgrade to rhvh-4.1-20170802

Version-Release number of selected component (if applicable):
Old version:
rhvh-4.0-0.20170307.0
New version:
redhat-virtualization-host-4.1-20170802.0
vdsm-4.19.24-1.el7ev.x86_64
kernel-3.10.0-693.el7.x86_64
imgbased-0.9.38-0.1.el7ev.noarch

How reproducible:
About 40%


Steps to Reproduce:
1. Clean install rhvh-4.0-0.20170307.0
2. Set local repo and run #yum update
3. Reboot and log in new layer boot entry

Actual results:
1. After step 3, missing new layer boot entry rhvh-4.1-0.20170802.0 

Expected results:
1. After step 3, New layer boot entry could display and can successfully log in


Additional info:
Auto test also reproduce this issue:
1. From redhat-virtualization-host-4.1-20170616.0.x86_64 to redhat-virtualization-host-4.1-20170802.0 via "rhevm" side
2. From redhat-virtualization-host-4.0-20170307.1.x86_64 to redhat-virtualization-host-4.1-20170802.0 via "yum install *.rpm"
Comment 1 Ying Cui 2017-08-03 06:22 EDT
Created attachment 1308678 [details]
imgbased.log
Comment 2 Huijuan Zhao 2017-08-05 06:21:29 EDT
Still encountered this issue in imgbased-0.9.39-0.1.el7ev(rhvh-4.1-20170804), and 100% reproducible in QE test ENV.

Totally tested 8 times with different machines, all can reproduce this issue.

So this bug is not fixed in imgbased-0.9.39-0.1.el7ev.
Comment 3 jianwu 2017-08-10 03:09:15 EDT
Update:
We have test this bug on rhvh-4.1-20170808.0 build

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20170808.0
imgbased-0.9.41-0.1.el7ev.noarch 

Step to test:
--- the way 1 ---
1. Clean install rhvh-4.1-20170808.0
2. Set local repo 
3. Upgrade build via "yum update" or "yum install *rpm"
4. Reboot and log in new layer boot entry

--- the way 2 ---
Auto test

Test results:
1. After step 4, New layer boot entry could display and can successfully log in

Additional info:
In order to prevent the probability about this bug on missing boot entry
we have test on iscsi, FC, uefi, local machines, in use of auto and manual testing about more than 30 times, all above tests are successful

According our test results, I think this bug is fixed on rhvh-4.1-20170808.0 build, so I will change status into VERIFIED

jiawu

Note You need to log in before you can comment on or make changes to this bug.